**`Abhishek Krishna`[NAME]** -NL- Reading, United Kingdom -NL- Mobile #: **`+447436811722`[PHONES_PHONE]** -NL- Email: **`krishnabhishek@gmail.com`[EMAILS_EMAIL]** -NL- **`PROFESSIONAL SUMMARY`[SUMMARY_HEADING]** -NL-  Having 10+ Years of IT professional experience as a highly motivated Java -NL- developer/consultant, effective at multitasking and working under pressure to -NL- accomplish overall objectives. -NL-  4+ years of experience in Hadoop, Spark, Hive development -NL-  Proficient in architectural design and development of web based applications -NL- using java/J2EE, JSP, JSF, Java beans using Apache struts and spring -NL- framework. -NL-  Experienced developer with document encryption/signatures, certificate -NL- validation and PKI in general as well as low-level interfaces such as PKCS#11, -NL- smart cards and Hardware Security Module(HSMs) using Java’s JCE library -NL-  Experience in elliptic curve- based cryptographic solution using SUN EC -NL- implementation of ECDSA SHA-256 Algorithm with curve point P-256. -NL-  Experience working with Waterfall Model and Agile SCRUM methodology -NL-  Experience working with MySQL, Oracle PL/SQL and writing stored procedures -NL-  Experience building SOA implementations including SOAP and RESTful based -NL- webservices. -NL-  Experience with unit testing using JUnit and knowledge of ANT, Maven and -NL- Log4j tools -NL-  Experienced with IBM WebSphere Application Server, Jboss, and Apache -NL- Tomcat Server -NL-  Experienced in requirement analysis, and preparing High Level and Low Level -NL- design(HLD and LLD) -NL-  Extensively used J2EE Design Patterns -NL-  Experienced in implementing full life cycle of software development process -NL- (SDLC) -NL-  Ability to learn new frameworks, design patterns, architecture and -NL- programming languages. -NL-  Capable of excelling as an individual developer or within a small to large team -NL- development environments. -NL-  Ability to coach, mentor and train less experienced team members. -NL-  Effective communication skills to translate business requirements into actual -NL- implementation -NL-  Experience in implementing many types of High availability -NL- Environments such as Clustering, Log Shipping, and Mysql Replication. -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL-  Key Languages : Java/J2ee -NL-  Programming Language : Core Java (1.5 , 1.6, 1.8) -NL-  Web Technologies : Servlets, JSP, JDBC, JMS, HTML, XML, Web -NL- Services, Spring Framework, SNMP, SMSC, SMPP, Struts-2.0, Hibernate, SS7, -NL- SIP Protocol (IMS), LDAP -NL-  Shell Scripting: Bash, ksh, expect -NL-  High-availability : HAproxy, Keepalived -NL-  Logging : Log4J -NL-  Web Server : Apache Tomcat 5.x -NL-  Application Server : BEA Web logic 9.2, 10.0 , Jboss 5.0 -NL-  Build Tools : Apache Ant, Maven -NL-  IDE : IntelliJIDEA 6.0, Eclipse -NL-  Databases : Oracle 10g, PL/SQL, Mysql , Cassandra -NL-  Information Security: openssl, cryptography, asn.1/der/pem/jks,pki,tls/ssl, -NL- Hardware Security Module(HSM), Subject Alternative Names(SAN), ECC, -NL- bouncycastle, Sun JCE library(LunaProvider.jar), Safenet Client -NL-  Operating Systems : Windows XP/NT/2000, Linux (RHEL 3.1/5.1) , Solaris -NL-  Unit Testing Tools: Soap UI, Junit, Mockito -NL-  Performance Testing Tools: JMETER, Elasticsearch, Logstash, Kibana, Bash -NL- Script -NL-  Big Data Ecosystems: Apache Hadoop 1.1, Apache Spark, Map Reduce, -NL- HDFS, HBase, Zookeeper, Hive, Pig, Sqoop, Oozie, Kafka, Apache Lucene, -NL- Pentaho Kettle and Talend, Kibana, Elasticsearch -NL- **`EDUCATION & CERTIFICATION`[EDUCATION_HEADING]** -NL-  Sun Certified Java Programmer (SCJP-6.0) -NL-  CCDH-410(Cloudera Certified Developer for Apache Hadoop) Certified -NL-  **`B.Tech`[EDUCATION_DEGREE]** (**`ECE`[EDUCATION_COURSE]**) from **`CUSAT, Cochin, Kerala, India in Electronics and -NL- Communication Engineering`[EDUCATION_INSTITUTE]** (First Class with Distinction) in April -NL- 2007 -NL- **`AWARDS and RECOGNITION`[OTHERS_HEADING]** -NL-  Award of Excellence, **`HCL Technologies Ltd`[PROJECT_COMPANY_NAME]**., Noida in 2009. Bestowed -NL- with Award of Excellence' for outstanding technical contribution in the -NL- development of **`Dashboard`[PROJECT_TITLE]**. -NL-  Cash Awards and Outstanding Performance Ratings, **`HCL Technologies Ltd. `[PROJECT_COMPANY_NAME]**-NL- in 2008 and 2009. -NL-  **`Ericsson`[PROJECT_COMPANY_NAME]** Power Award- Star Performer in 2014 to create a -NL- business opportunity for **`Ericsson`[PROJECT_COMPANY_NAME]** by using License Audit -NL- Tool. -NL-  **`Ericsson`[PROJECT_COMPANY_NAME]** Ace Award in Q1, 2015 for handling customer satisfaction -NL- levels effectively by providing quick and innovative resolutions to -NL- their issues. -NL- **`PROFFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`ERICSSON`[EMPLOYER_COMPANY_NAME]** UNITED KINGDOM -NL-**` Solution Architect`[EMPLOYER_ROLE]**, June, 2017 to till Date -NL- **`ERICSSON`[EMPLOYER_COMPANY_NAME]** INDIA -NL- **`Specialist-NE`[EMPLOYER_ROLE]**, December, 2013 to June, 2017 -NL- **`Tata Consultancy Services `[PROJECT_COMPANY_NAME]**-NL- **`IT Analyst`[EMPLOYER_ROLE]** (Module Lead), MAY, 2012 to December, 2013 -NL- **`ERICSSON`[EMPLOYER_COMPANY_NAME]** INDIA -NL- **`Software Engineer`[EMPLOYER_ROLE]**, September, 2010 to April, 2012 -NL- **`HCL TECHNOLOGIES Ltd`[EMPLOYER_COMPANY_NAME]**., INDIA -NL- **`Software Developer`[EMPLOYER_ROLE]**, June, 2007 to August 2010 -NL- PROJECT DETAILS -NL- Project: **`SMART Metering- SECURITY VALIDATOR`[PROJECT_TITLE]** -NL- Service Provider: **`Ericsson`[PROJECT_COMPANY_NAME]** UK -NL- Client: Telefonica(o2) -NL- Hardware/Software: MySQL 5.5, Java 7/8, Shell Script, Spring Boot, -NL- Spring Security, Microservices, Rest Webservices, Hibernate, JMETER, -NL- Kibana, Elasticsearch, Memcached, RabbitMQ Server, SUN JCE Libraries -NL- (Luna Provider), RHEL LINUX 6/7, Bouncycastle Library, Memory cache, -NL- Mysql Replication, High Availability Environment, DRBD, CMAN -NL- Description: Validator processes the messages from SM2M/OT and integrates -NL- with HSM to generate digital signature using Hardware Security Module(HSMs) -NL- for outgoing messages from Telefonica to device and validates the signature -NL- using SUN EC implementation of ECDSA SHA-256 Algorithm with curve point P- -NL- 256. present in the inbound message from Hubs to Telefonica. -NL- The outbound messages originates from SM2M or OT and is then send to -NL- Validator for signing and then relayed back to the originator so that it could -NL- be sent to the devices. These are -NL-  Command -NL-  Alert -NL- The inbound messages originate from devices and are intended for SM2M or -NL- OT. These are then send to Validator for verifying the signature and then -NL- relayed back to the originator so that it could be processed. The messages -NL- send from SM2M/OT to Validator are defined in Appendix C. -NL-  Responses to a command -NL- The inbound messages originate from devices and are intended for SM2M or OT as -NL- the response for the commands sent to devices. These responses are then send to -NL- Validator for verifying the signature and then relayed back to the originator so -NL- that it could be processes. -NL- Responsibilities: -NL-  Build microservices for the delivery of software products across the -NL- enterprise. -NL-  Recommend and develop strategy for integrating internal security -NL- model into new projects with Spring Security and Spring Boot. -NL-  Create RFP (Request for Proposal) microservice to provide RESTful API -NL- utilizing Spring Boot with Spring MVC. -NL-  Create Data Model for and initial Java JPA entities for RFP project. -NL-  Participated in the entire (SDLC) life cycle of the project right from the -NL- designing the project to implementation. -NL-  Involved infixing the production issues on timely manner. -NL-  Provide Impact Assessment, estimation of work, ensuring timed -NL- delivery. -NL-  Prepared Technical Design document and User Documentation. -NL-  Developed Application for Performance Testing using JMeter images, -NL- and Elasticsearch, Kibana and Logstash (ELK & EFK). -NL-  Working closely with Architecture, Development, Test, Security and IT -NL- Services teams -NL-  Developing scripts for build, deployment, maintenance and related -NL- tasks using Jenkins, Docker, Maven, Python and Bash -NL-  Installing, configuring and maintaining Continuous Integration, -NL- Automation and Configuration Management tools -NL- Project: **`Performance Engineering Module-ESMART `[PROJECT_TITLE]**-NL- Service Provider: **`Ericsson`[PROJECT_COMPANY_NAME]** India -NL- Client: Bharti Airtel India, Airtel Africa, Telstra Australia, Telin, Telenor Myanmar, STC -NL- DUBAI, Indosat, RCOM India, UMobile -NL- Hardware/Software: MySQL 5.5/5.7, Java 6/7/8, Shell Script, Apache Hadoop/Map -NL- Reduce/Spark/Flink, HDFS, HBase, Zookeeper, Hive, Pig, Sqoop, Oozie, Kafka, Kibana, -NL- Elasticsearch, RHEL LINUX 6/7 -NL- Description: -NL- ESMART is an online platform that is designed and developed by BSS team in -NL- Network Engineering group function of EGI to provide engineering related analysis -NL- and reports in near real time manner. It is designed in particular for **`Ericsson`[PROJECT_COMPANY_NAME]**’s -NL- charging system however because of its generic design andflexible framework it has -NL- been installed in many customer accounts to handle online performance -NL- management for other domains too such as Core, VAS, PaCo etc. -NL- Project: **`Performance Engineering Module-ESMART `[PROJECT_TITLE]**(PHP/MySQL based -NL- consulting support product) MySQL DBA: It is based on LAMP technology with a -NL- multithreading application, Ajax enabled. Architecture is completely based of -NL- database driven with UI/Ajax call developed in ZEND framework. -NL- Hardware/Software: MySQL 5.5/5.7, PHP, Shell Script, Apache, RHEL LINUX 6/7 -NL- Responsibilities: -NL-  Administration and management of the entire development, QA and -NL- production environment. -NL-  Installed and configured MySQL on Linux and Windows environments. -NL-  Managing/Troubleshooting MySQL 5.5.x and 5.7.x in production and developer -NL- environments on both Linux (6.0, 7.0). -NL-  Performed installation, new databases design, configuration, backup, -NL- recovery, security, upgrade and schema changes, tuning and data integrity. -NL-  Configured all aspects of MySql database structure among 9 instances across -NL- each stage of development including InnoDB and MySql-Replication related -NL- parameters. -NL-  Designed and configured all aspects of high-availability database replication -NL- and clustering, in specific master-master and master-slave replication processes -NL- and testing of MySql Cluster. -NL-  Effectively configured MySQL Replication as part of High Availability solution. -NL-  Ability to carry out security tasks at network level such as block/unblock -NL- TCP/IP ports throughfirewall on both Linux and windows and block/unblock remote -NL- access to MySQL server. -NL-  Proficiency in Unix/Linux shell commands. -NL-  Created and deleted users, groups and set up restrictive permissions, -NL- configuration of the sudofiles etc. -NL-  Configuring/Installing/Troubleshooting Apache and PHP. -NL-  Created data extracts as part of data analysis and exchanged with internal -NL- staff. -NL-  Performed MySQL Replication setup and administration on Master-Slave and -NL- Master-Master. -NL-  Shell script is being used for some data migration and backend work -NL- management. -NL- Project: **`License Audit Tool`[PROJECT_TITLE]** -NL- Service Provider: **`Ericsson`[PROJECT_COMPANY_NAME]** India -NL- Client: Wataniya Kuwait, Mobilink Pakistan, Airtel Rwanda, Bharti Airtel India, Digicel -NL- PNG -NL- Description: Product Licensing is an important aspect to ensure smooth Network -NL- Operations. Above Telecom client has requested **`Ericsson`[PROJECT_COMPANY_NAME]** India to perform a license -NL- audit for SDP, RAN-2G, RAN-3G, LTE, Transport, OSS, Packet Core network and Core -NL- Network domains in order to review and ensure optimal usage of Licenses procured -NL- for the OSS. The audit is conducted through **`Ericsson`[PROJECT_COMPANY_NAME]**’s automated tool called “E- -NL- SMART License Audit tool“. -NL- As part of this Scope, **`Ericsson`[PROJECT_COMPANY_NAME]** collects and analyses the License Dumps and Logs -NL- from the OSS nodes. The License Audit report thus generated captures the current -NL- usage of various licenses ordered for the network. -NL- It provides the following summary, as part of the report -NL-  Recommendation for the unused licenses, if any. -NL-  Highlight all the licenses reaching the utilization threshold. -NL-  Licenses procured and not yet activated/not yet installed. -NL-  Suggestions for the any kind of deviations observed. -NL- **`Hadoop/BigData Development`[PROJECT_TITLE]** -NL- Project: **`Investor Online Network`[PROJECT_TITLE]**, London -NL- Service Provider: **`Tata Consultancy Services `[PROJECT_COMPANY_NAME]**-NL- Client: Deutsche Bank -NL- Description: -NL- Facilitated insightful daily analyses of 60 to 80GB of website data collected by -NL- external sources. Spawning recommendations and tips that increased traffic 38% and -NL- advertising revenue 16% for this online provider offinancial market intelligence. -NL- **`Hadoop Developer/Administrator`[PROJECT_TITLE]** -NL- Company: **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** -NL- Service Provider: Deutsche Bank -NL- Description: -NL- Helped this regional bank streamline business processes by developing, installing -NL- and configuring Hadoop ecosystem components that moved data from individual -NL- servers to HDFS. -NL- Project Name: **`Hadoop/BigData Development`[PROJECT_TITLE]** -NL- Service Provider: **`Tata Consultancy Services `[PROJECT_COMPANY_NAME]**-NL- Client: Deutsche Bank -NL- Description: -NL- Migrated Informatica implemented application to Hadoop Based Application. Analysis -NL- of the huge data collected from the website visitors will help increase the return on -NL- investment of the website. There are reports on number of hits received from various -NL- countries. Total number of users during the day or between two dates. Mainly -NL- Handling large data set (in terabytes) and writing MR jobs and Pig analytic queries to -NL- do Data analysis. -NL- Project Name: NCR @Your Service- Global Incident Management -NL- Service Provider: **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]** -NL- Client: NCR CORPORATION LTD.-USA -NL- Description: -NL- NCR @ Your Service Global Incident Management (GIM) provides a means for -NL- customers to view create and update NCR service requests. This solution supports -NL- multiple Managed Services offers by providing customers a Web based method to -NL- manage their Service Requests. -NL- **`Ericsson-MSDP 3.0 to 4.2 Upgrade `[PROJECT_TITLE]**-NL- Domain: Telecom -NL- Service Provider:**` Ericsson Pvt Ltd. `[PROJECT_COMPANY_NAME]**-NL- Customer: Rogers Canada -NL- Description: -NL- **`Ericsson`[PROJECT_COMPANY_NAME]** MSDP is a complete business support system providing an SDP center for -NL- both on and off-portal business that enables advertisement and commerce of a wide -NL- range of different products and services. It is an end-to-end system completely -NL- managed with advanced, but easy to use graphical tools. -NL- MSDP is built to meet the needs of mobile network operators, mobile virtual network -NL- operators, media companies, service providers and others acting in the multimedia -NL- marketplace. It includes support for retail, advertising and wholesale. -NL- **`ECE`[EDUCATION_COURSE]**-SDE (**`Ericsson`[PROJECT_COMPANY_NAME]** Composition Engine-SDE) -NL- Domain: Telecom -NL- Company: **`Ericsson`[PROJECT_COMPANY_NAME]** India Ltd. -NL- Client: **`Ericsson`[PROJECT_COMPANY_NAME]** Product Development Unit, Netherlands -NL- Description: -NL- **`Ericsson`[PROJECT_COMPANY_NAME]** Composition Engine offers a Service Development Environment (SDE). SDE -NL- includes information on how to set-up a development environment using -NL- recommended tools, architecture guidelines, an Apache Maven repository containing -NL- the platform libraries, Apache Maven archetypes, test kits, examples, and domain -NL- components (SS7 domain, IMS domain etc.) -NL- An SS7 service interacts with the SS7 interface of the **`Ericsson`[PROJECT_COMPANY_NAME]** Composition Engine. -NL- The development environment consists of libraries/APIs to interface with the **`Ericsson`[PROJECT_COMPANY_NAME]** -NL- Composition Engine and MySQL database, plus a code example. -NL- A service interacts with the SIP interface of the **`Ericsson`[PROJECT_COMPANY_NAME]** Composition Engine. The -NL- development environment consists of SIP simulation tools, libraries/APIs to interface -NL- with the **`Ericsson`[PROJECT_COMPANY_NAME]** Composition Engine, SIP soft phones, plus a code example. -NL- A converged service is using both SS7. Examples are: (1) a Service that has multiple -NL- access points (access protocols) for an external event, and serves TCAP incoming -NL- dialogues and HTTP requests, (2) a Service that has one access point, but accesses -NL- another domain, like a Service triggered by SS7 and generating an outbound SIP -NL- INVITE message. The development environment consists of SS7 tools. -NL- **`Push Proxy Gateway (PPG)`[PROJECT_TITLE]** -NL- Domain: Telecom -NL- Service Provider: **`HCL Technologies Ltd. `[PROJECT_COMPANY_NAME]**-NL- Client: Comverse (Israel) -NL- Description: -NL- The PPG delivers SMS messages to subscriber handsets via external SMSC servers, -NL- which store and deliver them to the target subscriber handsets. A typical message -NL- includes both a text message and an optional interactive button or a URL link. When -NL- a subscriber clicks the interactive button or the URL that appears in the Push -NL- message, the MIG system initiates a browsing session. -NL- **`WEB ASSISTANT`[PROJECT_TITLE]**: -NL- Domain: Telecom -NL- Service Provider: **`HCL Technologies Ltd. `[PROJECT_COMPANY_NAME]**-NL- Client: Comverse (Israel) -NL- Description: -NL- The Web Assistant (WA) is a Web-based GUI for Mobile Data Gateway (MDG) -NL- subscriber management. Each MDG subscriber has a unique profile that includes -NL- personal details such as the subscriber’s name and identification number in the -NL- system as well as system usage information such as the time and duration of the -NL- subscriber’s last system session. -NL- **`Dashboard`[PROJECT_TITLE]** -NL- Domain: Telecom -NL- Service Provider: **`HCL Technologies Ltd`[PROJECT_COMPANY_NAME]**. -NL- Clients: Comverse (Israel) -NL- Description: -NL- The **`Dashboard`[PROJECT_TITLE]** is a system gathering and reporting data for the graphically and -NL- textually displaying “near real time” information received from the MDD system -NL- modules. -NL- **`Mobile Internet Gateway (MIG)`[PROJECT_TITLE]** -NL- Domain: Telecom -NL- Company: **`HCL Technologies Ltd`[PROJECT_COMPANY_NAME]**. -NL- Client: Comverse (Israel) -NL- Description: -NL- The **`Mobile Internet Gateway (MIG)`[PROJECT_TITLE]** is a Telco-grade mobile Internet platform that -NL- enables wireless network operators to offer wireless data services to their -NL- subscribers. Using MIG, subscribers access and browse the Internet from their -NL- specific WAP 1.x or WAP 2.X clients, and can easily download different types of -NL- content, including text, graphics, movies, and other multimediafiles. MIG enables -NL- operators to control, manage, and monitor subscriber traffic, so they can know -NL- subscriber demographics and preferences, as well as provide subscribers with certain -NL- value-added services, such as contentfiltering, content adaptation and streaming. -NL- Using the MIG infrastructure, subscribers access content either by initiating browsing -NL- sessions from their clients MIG Pull (Browsing) Service or by clicking interactive -NL- buttons or URL links in notification messages sent to their clients by authorized third- -NL- party servers MIG Push Service. -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 8th October 1983 -NL- Sex : Male -NL- Nationality : Indian -NL- Marital Status : Married -NL- Hobbies : Net-Surfing, Cricket. -NL- Passport No. : G0467690 -NL- 